Exchange 2007 property cannot be set due to version 0.1 (8.0.535.0) or later required

From ben.goodacre.name/tech

Jump to: navigation, search

Contents

Symptoms

One of more of the following with regard to an Exchange mailbox:

[PS] C:\>Set-Mailbox -identity user -ManagedFolderMailboxPolicy "example policy"
Set-Mailbox : Property ManagedFolderMailboxPolicy cannot be set on this object because it requires the object to have version 0.1 (8.0.535.0) or later.
Current version of the object is 0.0 (6.5.6500.0).
At line:1 char:12
+ Set-Mailbox  <<<< -identity user -ManagedFolderMailboxPolicy "example policy"

Cause

The mailbox is a 2003 / legacy mailbox but Exchange is detecting it as a 2007 mailbox. The error message above is stating that 2007 or later is required but the object is only 2003, normally this error is trapped before this point as the interface will state that 2007 or later is required, as the fact that it is a 2003 mailbox is otherwise clearly stated.

Resolution

From the EMS:

Set-Mailbox user -applymandatoryproperties

See Also

Exchange 2007: Exception message: Property Languages cannot be set on this object because it requires the object to have version 0.1 (8.0.535.0) later

Error message when users try to log on to Outlook Web Access in Exchange 2007: "A problem occurred while trying to use your mailbox"

Can't open new mailboxes in OWA

Personal tools
Namespaces
Variants
Actions
Navigation
Toolbox